FROM amazonlinux:2 as builder

# Install required packages
RUN yum update -y -q
RUN yum groupinstall -y "Development Tools"
RUN amazon-linux-extras install epel -y \
    && yum install -y yum-utils \
    && yum-config-manager --enable epel
RUN yum install -y \
      autoconf \
      automake \
      clang-devel \
      gettext-devel \
      glibc-locale-source \
      gcc \
      gcc-c++ \
      curl-devel \
      expat-devel \
      gettext-devel \
      krb5-devel \
      openssl-devel \
      perl-devel \
      zlib-devel \
      make \
      libyaml-devel \
      libffi-devel \
      readline-devel \
      zlib-devel \
      gdbm-devel \
      ncurses-devel \
      bzip2 \
      which \
      byacc \
      libgpg-error-devel \
      libassuan-devel \
      ccache \
      unzip \
      gcc10 \
      gcc10-c++

ENV LANG en_US.UTF-8
ENV LC_ALL en_US.UTF-8
RUN localedef -c -f UTF-8 -i en_US en_US.UTF-8

<%= Snippets.new(platform: 'arm64', exclude: %w[cmake]).populate %>

# cmake from Amazon Linux 2 repos is too old, hence we use bootstrap to build cmake
RUN curl -fsSL https://github.com/Kitware/CMake/releases/download/v${CMAKE_VERSION}/cmake-${CMAKE_VERSION}.tar.gz | tar -xzC /tmp \
    && cd /tmp/cmake-${CMAKE_VERSION} \
    && ./bootstrap \
    && make \
    && make install

FROM amazonlinux:2
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /
